> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/test/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/test/ci-develop-en/platform-service/zrm/tag/createtags.md).

# CreateTags

## 1. API Description

This API is used to create tags in batches.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">Tag key is required.</mark>
* <mark style="color:blue;">Tag value is optional.</mark>
* <mark style="color:blue;">Duplicate key-value tags are not allowed.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="167.8828125">Parameter Name</th><th width="121.0546875">Required</th><th width="124.5078125">Type</th><th>Description</th></tr></thead><tbody><tr><td>tags</td><td>Yes</td><td>Array of <a href="/pages/CbrVkZZHdyxWMzD7VTgV#tag">Tag</a></td><td><p>Tags to be created in batches.</p><p>A maximum of 20 tags can be created at a time.</p></td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="164.234375">Parameter Name</th><th width="104.4453125">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Create tags in batches.**

```json
POST /api/v2/zrm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateTags
<Common Request Params>

Request：
{
  "tags": [
    {
      "key": "key_f7105ccd1a94",
      "value": "value_5a4be6ee5544"
    }
  ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources <a href="#id-5.-kai-fa-zhe-gong-ju" id="id-5.-kai-fa-zhe-gong-ju"></a>

Zenlayer Cloud API 2.0 integrates [SDKs](/test/ci-develop-en/api-introduction/toolkit/api-sdk.md) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](/test/ci-develop-en/api-introduction/instruction/commonerrorcode.md).​​


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/test/ci-develop-en/platform-service/zrm/tag/createtags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
